import java.io.*;
import java.util.ArrayList;

public class FileHandler {
    public static ArrayList<Inmueble> leer_fichero(String fichero) throws IOException {
        ArrayList<Inmueble> lista_inmueble = new ArrayList<>();
        ArrayList<Inmueble> duplicados = new ArrayList<>();
        Inmueble inmueble;
        int c = 0;
        boolean contiene = false;

        BufferedReader reader = new BufferedReader(new FileReader(fichero));
        String linea = reader.readLine();
        while(linea!=null){
            inmueble = convert_line_inmueble(linea);

            c = 0;
            contiene = false;
            while((c<lista_inmueble.size()) && (!contiene)){
                if(lista_inmueble.get(c).getReferencia().equals(inmueble.getReferencia())){
                    contiene = true;
                }
                if(!contiene){
                    c++;
                }
            }
            if(contiene){
                duplicados.add(inmueble);
                duplicados.add(lista_inmueble.get(c));
            }else{
                lista_inmueble.add(inmueble);
            }
            linea = reader.readLine();
        }
        reader.close();
        return duplicados;
    }

    public static Inmueble convert_line_inmueble(String linea){
        String[] sarr = linea.split(":");
        return new Inmueble(sarr[0], sarr[1]);
    }

    public static void escribir_fichero(ArrayList<Inmueble> duplicados, String nombre_fichero) throws FileNotFoundException {
        PrintWriter printWriter = new PrintWriter(nombre_fichero);

        for(Inmueble i:duplicados){
            printWriter.println(i.getReferencia() + ":" + i.getTipo());
        }

        printWriter.flush();
        printWriter.close();


    }
}
